Skip to main content

Resolve Alert

PUT/compliance/alerts/{id}Open in the API playground →
Info

Update status to investigate or close an alert. Requires compliance officer role.

Request

Authorizationstringheaderrequired

Bearer olive_live_xxx

Path Parameters

idintegerpathrequired

Alert ID

Body Parameters

statusstringbodyrequired

New status: investigating, resolved, false_positive

resolution_notesstringbody

Notes explaining the decision

resolved_bystringbody

Officer Name/ID


Response

successboolean

Update status


Examples

Request
cURL
curl -X PUT "https://demo.api.vultlocal.com/api/v1/compliance/alerts/101" \
-H "Authorization: Bearer olive_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"status": "resolved",
"resolution_notes": "Customer identity verified via video call",
"resolved_by": "officer_jane"
}'
Response
200 Success
{
"success": true,
"message": "Alert updated successfully"
}